Page MenuHomePhabricator

mw-ui-buttons should have a max width
Closed, ResolvedPublic

Description

buttons should have max-width
If you are anonymous and go to http://en.m.wikipedia.beta.wmflabs.org/wiki/Albert_Einstein?mobileaction=stable#/editor/0 the 3 buttons take up the full screen and no longer look like buttons

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: UI-Standardization.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2015, 11:11 PM
Jdlrobson set Security to None.Apr 8 2015, 12:02 AM
Jdlrobson added subscribers: Prtksxna, violetto.
Ricordisamoa updated the task description. (Show Details)Apr 8 2015, 12:38 AM
Prtksxna added a comment.EditedApr 8 2015, 1:28 AM

@Jdlrobson, do you think changing the width of .anonwarning would make sense.
If we add a max-width to the buttons they'll float on the left and I am not sure if that looks nice.

Change .anonwarningChange max-width

Mm. Basically the issue happens when you make a button display block (e.g. stacked buttons) we could add a margin auto to circumvent this issue in MobileFrontend so I don't think it is a big deal.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 23 2016, 7:25 PM

@Jdlrobson Without media queries support it's hard to find a good compromise. My first thought was 300px as in iPhone Portrait with 10px margin on left and right. But after looking at the different screen resolutions that doesn't seem to be a good compromise. 460px for landscape seems more appropriate.
Moreover we have .mw-ui-block for buttons on screens like the one in the task description. So we can add aligning margin to those as well. While on a page like http://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Special:UserLogin&returnto=Special%3AWatchlist&warning=mobile-frontend-watchlist-purpose the buttons stay aligned left.

Change 272887 had a related patch set uploaded (by VolkerE):
mediawiki.ui: Buttons should receive max-width

https://gerrit.wikimedia.org/r/272887

Change 272887 merged by jenkins-bot:
mediawiki.ui: Buttons should receive max-width

https://gerrit.wikimedia.org/r/272887

Volker_E closed this task as Resolved.Feb 24 2016, 12:40 AM
Volker_E moved this task from Review to Done on the UI-Standardization-Kanban board.
Volker_E removed a project: Patch-For-Review.